package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TcustcompanyproviderDTO implements Serializable {

    private static final long serialVersionUID = 509171770317383L;

    private Integer tcustcompanyproviderPK;

    private java.util.Date datefrom;

    private Integer recordversion;

    private Integer maxcredit;

    private Integer annualpurchase;

    private java.util.Date providerdate;

    private String name;

    private String remark;

    private String ingressuser;

    private String modifyuser;

    private Integer tcustperson;

    private Integer providerpersoncode;

    private Integer tgenecatalogdetail;

    private Integer currencycode;

        public Integer getTcustcompanyproviderPK() {
    return tcustcompanyproviderPK;
    }

        public void setTcustcompanyproviderPK(Integer tcustcompanyproviderPK) {
    this.tcustcompanyproviderPK = tcustcompanyproviderPK;
    }

        public java.util.Date getDatefrom() {
    return datefrom;
    }

        public void setDatefrom(java.util.Date datefrom) {
    this.datefrom = datefrom;
    }

        public Integer getRecordversion() {
    return recordversion;
    }

        public void setRecordversion(Integer recordversion) {
    this.recordversion = recordversion;
    }

        public Integer getMaxcredit() {
    return maxcredit;
    }

        public void setMaxcredit(Integer maxcredit) {
    this.maxcredit = maxcredit;
    }

        public Integer getAnnualpurchase() {
    return annualpurchase;
    }

        public void setAnnualpurchase(Integer annualpurchase) {
    this.annualpurchase = annualpurchase;
    }

        public java.util.Date getProviderdate() {
    return providerdate;
    }

        public void setProviderdate(java.util.Date providerdate) {
    this.providerdate = providerdate;
    }

        public String getName() {
    return name;
    }

        public void setName(String name) {
    this.name = name;
    }

        public String getRemark() {
    return remark;
    }

        public void setRemark(String remark) {
    this.remark = remark;
    }

        public String getIngressuser() {
    return ingressuser;
    }

        public void setIngressuser(String ingressuser) {
    this.ingressuser = ingressuser;
    }

        public String getModifyuser() {
    return modifyuser;
    }

        public void setModifyuser(String modifyuser) {
    this.modifyuser = modifyuser;
    }

        public Integer getTcustperson() {
    return tcustperson;
    }

        public void setTcustperson(Integer tcustperson) {
    this.tcustperson = tcustperson;
    }

        public Integer getProviderpersoncode() {
    return providerpersoncode;
    }

        public void setProviderpersoncode(Integer providerpersoncode) {
    this.providerpersoncode = providerpersoncode;
    }

        public Integer getTgenecatalogdetail() {
    return tgenecatalogdetail;
    }

        public void setTgenecatalogdetail(Integer tgenecatalogdetail) {
    this.tgenecatalogdetail = tgenecatalogdetail;
    }

        public Integer getCurrencycode() {
    return currencycode;
    }

        public void setCurrencycode(Integer currencycode) {
    this.currencycode = currencycode;
    }

}